diff a/make/data/hotspot-symbols/symbols-unix b/make/data/hotspot-symbols/symbols-unix
--- /dev/null
+++ b/make/data/hotspot-symbols/symbols-unix
@@ -0,0 +1,237 @@
+#
+# Copyright (c) 2016, 2023, Oracle and/or its affiliates. All rights reserved.
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+#
+# This code is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 2 only, as
+# published by the Free Software Foundation.
+#
+# This code is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# version 2 for more details (a copy is included in the LICENSE file that
+# accompanied this code).
+#
+# You should have received a copy of the GNU General Public License version
+# 2 along with this work; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+# or visit www.oracle.com if you need additional information or have any
+# questions.
+#
+
+JVM_ActiveProcessorCount
+JVM_AreNestMates
+JVM_ArrayCopy
+JVM_AssertionStatusDirectives
+JVM_BeforeHalt
+JVM_CallStackWalk
+JVM_Clone
+JVM_ConstantPoolGetClassAt
+JVM_ConstantPoolGetClassAtIfLoaded
+JVM_ConstantPoolGetClassRefIndexAt
+JVM_ConstantPoolGetDoubleAt
+JVM_ConstantPoolGetFieldAt
+JVM_ConstantPoolGetFieldAtIfLoaded
+JVM_ConstantPoolGetFloatAt
+JVM_ConstantPoolGetIntAt
+JVM_ConstantPoolGetLongAt
+JVM_ConstantPoolGetMemberRefInfoAt
+JVM_ConstantPoolGetMethodAt
+JVM_ConstantPoolGetMethodAtIfLoaded
+JVM_ConstantPoolGetNameAndTypeRefIndexAt
+JVM_ConstantPoolGetNameAndTypeRefInfoAt
+JVM_ConstantPoolGetSize
+JVM_ConstantPoolGetStringAt
+JVM_ConstantPoolGetTagAt
+JVM_ConstantPoolGetUTF8At
+JVM_CurrentCarrierThread
+JVM_CurrentThread
+JVM_SetCurrentThread
+JVM_CurrentTimeMillis
+JVM_DefineClass
+JVM_DefineClassWithSource
+JVM_DesiredAssertionStatus
+JVM_DumpAllStacks
+JVM_DumpClassListToFile
+JVM_DumpDynamicArchive
+JVM_DumpThreads
+JVM_ExpandStackFrameInfo
+JVM_FillInStackTrace
+JVM_FindClassFromCaller
+JVM_FindClassFromClass
+JVM_FindLibraryEntry
+JVM_FindLoadedClass
+JVM_FindPrimitiveClass
+JVM_FindSignal
+JVM_FreeMemory
+JVM_GC
+JVM_GetAllThreads
+JVM_GetAndClearReferencePendingList
+JVM_GetArrayElement
+JVM_GetArrayLength
+JVM_GetCallerClass
+JVM_GetClassAccessFlags
+JVM_GetClassAnnotations
+JVM_GetClassConstantPool
+JVM_GetClassContext
+JVM_GetClassCPEntriesCount
+JVM_GetClassCPTypes
+JVM_GetClassDeclaredConstructors
+JVM_GetClassDeclaredFields
+JVM_GetClassDeclaredMethods
+JVM_GetClassFieldsCount
+JVM_GetClassFileVersion
+JVM_GetClassInterfaces
+JVM_GetClassMethodsCount
+JVM_GetClassModifiers
+JVM_GetClassNameUTF
+JVM_GetClassSignature
+JVM_GetClassSigners
+JVM_GetClassTypeAnnotations
+JVM_GetCPClassNameUTF
+JVM_GetCPFieldClassNameUTF
+JVM_GetCPFieldModifiers
+JVM_GetCPFieldNameUTF
+JVM_GetCPFieldSignatureUTF
+JVM_GetCPMethodClassNameUTF
+JVM_GetCPMethodModifiers
+JVM_GetCPMethodNameUTF
+JVM_GetCPMethodSignatureUTF
+JVM_GetDeclaredClasses
+JVM_GetDeclaringClass
+JVM_GetEnclosingMethodInfo
+JVM_GetExtendedNPEMessage
+JVM_GetFieldIxModifiers
+JVM_GetFieldTypeAnnotations
+JVM_GetInheritedAccessControlContext
+JVM_GetManagement
+JVM_GetMethodIxArgsSize
+JVM_GetMethodIxByteCode
+JVM_GetMethodIxByteCodeLength
+JVM_GetMethodIxExceptionIndexes
+JVM_GetMethodIxExceptionsCount
+JVM_GetMethodIxExceptionTableEntry
+JVM_GetMethodIxExceptionTableLength
+JVM_GetMethodIxLocalsCount
+JVM_GetMethodIxMaxStack
+JVM_GetMethodIxModifiers
+JVM_GetMethodIxNameUTF
+JVM_GetMethodIxSignatureUTF
+JVM_GetMethodParameters
+JVM_GetMethodTypeAnnotations
+JVM_GetNanoTimeAdjustment
+JVM_GetNestHost
+JVM_GetNestMembers
+JVM_GetNextThreadIdOffset
+JVM_GetPermittedSubclasses
+JVM_GetPrimitiveArrayElement
+JVM_GetProperties
+JVM_GetProtectionDomain
+JVM_GetRandomSeedForDumping
+JVM_GetRecordComponents
+JVM_GetSimpleBinaryName
+JVM_GetStackAccessControlContext
+JVM_GetSystemPackage
+JVM_GetSystemPackages
+JVM_GetTemporaryDirectory
+JVM_GetVmArguments
+JVM_Halt
+JVM_HasReferencePendingList
+JVM_HoldsLock
+JVM_GetStackTrace
+JVM_IHashCode
+JVM_InitClassName
+JVM_InitStackTraceElement
+JVM_InitStackTraceElementArray
+JVM_InitializeFromArchive
+JVM_InternString
+JVM_Interrupt
+JVM_InvokeMethod
+JVM_IsArrayClass
+JVM_IsConstructorIx
+JVM_IsDumpingArchive
+JVM_IsDumpingClassList
+JVM_IsDumpingHeap
+JVM_IsDumpingStaticArchive
+JVM_IsFinalizationEnabled
+JVM_IsHiddenClass
+JVM_IsInterface
+JVM_IsPreviewEnabled
+JVM_IsContinuationsSupported
+JVM_IsPrimitiveClass
+JVM_IsRecord
+JVM_IsSameClassPackage
+JVM_IsSharingEnabled
+JVM_IsSupportedJNIVersion
+JVM_IsTracingDynamicProxy
+JVM_IsVMGeneratedMethodIx
+JVM_LatestUserDefinedLoader
+JVM_LoadZipLibrary
+JVM_LoadLibrary
+JVM_LookupDefineClass
+JVM_LookupLambdaProxyClassFromArchive
+JVM_LogDynamicProxy
+JVM_LogLambdaFormInvoker
+JVM_MaxMemory
+JVM_MaxObjectInspectionAge
+JVM_MonitorNotify
+JVM_MonitorNotifyAll
+JVM_MonitorWait
+JVM_MoreStackWalk
+JVM_NanoTime
+JVM_NativePath
+JVM_NewArray
+JVM_NewInstanceFromConstructor
+JVM_NewMultiArray
+JVM_PhantomReferenceRefersTo
+JVM_PrintWarningAtDynamicAgentLoad
+JVM_RaiseSignal
+JVM_RawMonitorCreate
+JVM_RawMonitorDestroy
+JVM_RawMonitorEnter
+JVM_RawMonitorExit
+JVM_ReferenceClear
+JVM_ReferenceRefersTo
+JVM_RegisterContinuationMethods
+JVM_RegisterLambdaProxyClassForArchiving
+JVM_RegisterSignal
+JVM_ReleaseUTF
+JVM_ReportFinalizationComplete
+JVM_SetArrayElement
+JVM_SetClassSigners
+JVM_SetNativeThreadName
+JVM_SetPrimitiveArrayElement
+JVM_SetStackWalkContinuation
+JVM_SetThreadPriority
+JVM_SleepNanos
+JVM_StartThread
+JVM_TotalMemory
+JVM_UnloadLibrary
+JVM_WaitForReferencePendingList
+JVM_Yield
+
+# Module related API's
+JVM_AddModuleExports
+JVM_AddModuleExportsToAll
+JVM_AddModuleExportsToAllUnnamed
+JVM_AddReadsModule
+JVM_DefineArchivedModules
+JVM_DefineModule
+JVM_SetBootLoaderUnnamedModule
+
+# Virtual thread notifications for JVMTI
+JVM_VirtualThreadStart
+JVM_VirtualThreadEnd
+JVM_VirtualThreadMount
+JVM_VirtualThreadUnmount
+JVM_VirtualThreadHideFrames
+JVM_VirtualThreadDisableSuspend
+
+# Scoped values
+JVM_EnsureMaterializedForStackWalk_func
+JVM_FindScopedValueBindings
+JVM_ScopedValueCache
+JVM_SetScopedValueCache
+#
